- [HTTP request](https://developers.google.com/pay/india-cards-v1/google-india-cards-api/reverseRefundNotification#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/pay/india-cards-v1/google-india-cards-api/reverseRefundNotification#body.request_body)
  - [JSON representation](https://developers.google.com/pay/india-cards-v1/google-india-cards-api/reverseRefundNotification#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/pay/india-cards-v1/google-india-cards-api/reverseRefundNotification#body.response_body)
- [ReverseRefundNotificationResponse](https://developers.google.com/pay/india-cards-v1/google-india-cards-api/reverseRefundNotification#ReverseRefundNotificationResponse)
  - [JSON representation](https://developers.google.com/pay/india-cards-v1/google-india-cards-api/reverseRefundNotification#ReverseRefundNotificationResponse.SCHEMA_REPRESENTATION)
- [ReverseRefundNotificationResultCode](https://developers.google.com/pay/india-cards-v1/google-india-cards-api/reverseRefundNotification#ReverseRefundNotificationResultCode)

Notifies Google of a refund that is being reversed.

This signifies that a previously successful refund is being reversed and funds are being returned to Google by the issuer.

If the endpoint encounters an error while processing the request, the endpoint will return HTTP 4xx or 5xx and the HTTP body will either be of type [`ErrorResponse`](https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/ErrorResponse) or contain a generic error (e.g. a message similar to "There was an error. Please try again later.").

The generic error is used in situations where an [`ErrorResponse`](https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/ErrorResponse) with a clear description could be used to help an attacker understand the payment integrator account identifier of other integrators. In these situations, where either the signing key doesn't match, the payment integrator identifier was not found, or the encryption key was unknown, this method will return a generic error. If the request signature could be verified, additional information regarding the error will be returned in an [`ErrorResponse`](https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/ErrorResponse).

An example request looks like:


    {
      "requestHeader": {
        "protocolVersion": {
          "major": 1
        },
        "requestId": "9e4a71df-bf46-44fb-8cad-f1b533e94a78",
        "requestTimestamp": {
          "epochMillis": 1483711327000
        },
        "paymentIntegratorAccountId": "SpeedyPaymentsIndia_INR"
      },
      "refundRequestId": "8a986fe8-5a2c-45a4-a1bb-3bed6e651020",
      "amount": "54390000",
      "rawResult": {
        "scope": "VISA",
        "rawCode": "07"
      }
    }

An example response looks like:


    {
      "responseHeader": {
        "responseTimestamp": {
          "epochMillis": 1483711328235
        }
      },
      "result": "SUCCESS"
    }

### HTTP request

`POST https://vgw.googleapis.com/secure-serving/gsp/google-authenticated-card-fop-api/v1/reverseRefundNotification/https://developers.google.com/pay/india-cards-v1/reference/glossary#payment_integrator_account_id`

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestHeader": { object (https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/RequestHeader) }, "refundRequestId": string, "amount": string, "rawResult": { object (https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/capture#RawResult) } } ``` |

| Fields ||
|---|---|
| `requestHeader` | `object (https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/RequestHeader)` **REQUIRED**: Common header for all requests. |
| `refundRequestId` | `string` **REQUIRED** : A unique identifier for the refund that is being reversed. This is the `requestId` generated by the Google during the `asynchronousRefund` method call this request is associated with. |
| `amount` | `string (https://developers.google.com/discovery/v1/type-format format)` **REQUIRED** : The amount of the refund that is being reversed, in micros of the currency unit. This is greater than zero but can be less than or equal to the amount in the `AsynchronousRefund` request. It is in the same currency unit as the capture. |
| `rawResult` | `object (https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/capture#RawResult)` **REQUIRED**: Raw result of the refund reversal request from the issuer. Used to help inform Google's risk engine and analytics. |

### Response body

This method supports multiple return types. For additional information about what 4XX or 5XX HTTP status code to return with an `ErrorResponse`, consult the `ErrorResponse` object and [HTTP status codes documentation](https://developers.google.com/pay/india-cards-v1/guides/connectivity/protocol-standards#http_status_codes).

| Possible response messages ||
|---|---|
| HTTP 200 Status | ``object (`https://developers.google.com/pay/india-cards-v1/google-india-cards-api/reverseRefundNotification#ReverseRefundNotificationResponse`)`` |
| HTTP 4XX / 5XX Status | `object (https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/ErrorResponse)` |
| End of mutually exclusive fields. ||

## ReverseRefundNotificationResponse

Response object for Google hosted india-cards-v1.reverseRefundNotification method.

| JSON representation |
|---|
| ``` { "responseHeader": { object (https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/ResponseHeader) }, "result": enum (`https://developers.google.com/pay/india-cards-v1/google-india-cards-api/reverseRefundNotification#ReverseRefundNotificationResultCode`) } ``` |

| Fields ||
|---|---|
| `responseHeader` | `object (https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/ResponseHeader)` **REQUIRED**: Common header for all responses. |
| `result` | ``enum (`https://developers.google.com/pay/india-cards-v1/google-india-cards-api/reverseRefundNotification#ReverseRefundNotificationResultCode`)`` **REQUIRED**: Result of this call. |

## ReverseRefundNotificationResultCode

Result codes for the `reverseRefundNotification` method.

| Enums ||
|---|---|
| `REVERSE_REFUND_NOTIFICATION_RESULT_CODE_UNSPECIFIED` | Do not ever set this default value! |
| `SUCCESS` | Reverse refund notification was successfully processed. |